##
## $Id: ethernut.spec.in,v 1.1 2005/04/28 15:08:35 haraldkipp Exp $
##

# No debuginfo rpm
%define debug_package %{nil}

Summary: Tiny RTOS and TCP/IP stack for embedded systems
Name: ethernut
Version: 4.1.6
Release: 1
Copyright: BSD
Group: Development/Tools
URL: http://www.ethernut.de/
Source: http://www.ethernut.de/arc/ethernut-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-buildroot


%description
Nut/OS is an intentionally simple RTOS for tiny embedded
systems. It includes Nut/Net, the TCP/IP stack.

%prep
%setup -q

%build
./configure --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/opt/ethernut/nut
cp -rf * ${RPM_BUILD_ROOT}/opt/ethernut/nut/
make prefix=${RPM_BUILD_ROOT}%{_prefix} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_prefix}/*
/opt/ethernut/nut/*

%post 

echo "###############################################################"
echo "#  Nut/OS has been installed.                                 #"
echo "#                                                             #"
echo "#  Change to /opt/ethernut/ and run nutconf or nutconfigure.  #"
echo "###############################################################"

%changelog
* Wed Apr 28 2005 Harald Kipp <harald@egnite.de>
- Initial release
