#ifndef _STACK_H_
#define _STACK_H_

#include <sys/types.h>

#ifdef __BTN_UNIX__
// MR: prefix stack_t as it conflicts with /usr/include/signal.h on darwin
#define stack_t BTN_stack_t
#endif


typedef u_char* stack_t;

inline void stack_push(stack_t sp, u_char elem);

inline u_char stack_pop(stack_t sp);

inline u_char stack_top(stack_t sp);

stack_t stack_init(u_short size);

#endif //_STACK_H_
